Page MenuHomeFreeBSD

pt_BR.ISO8859-1/articles/building-products: Convert to .po
ClosedPublic

Authored by dbaio on Jun 14 2018, 2:10 AM.

Details

Summary
pt_BR.ISO8859-1/articles/building-products: Convert to .po

Approved by:	???
Differential Revision:	https://reviews.freebsd.org/DXXXX
$ cd pt_BR.ISO8859-1/articles/building-products
$ make po
$ make tran
$ svn add pt_BR.ISO8859-1/articles/building-products/pt_BR.po
$ svn propset svn:mime-type 'text/x-gettext-translation; charset=UTF-8' pt_BR.ISO8859-1/articles/building-products/pt_BR.po
$ svn propset svn:mime-type 'text/xml; charset=UTF-8' pt_BR.ISO8859-1/articles/building-products/article.xml

This is just a test.
Planning to convert/upgrade all existing xmls to .po and then, generate all pt-BR .po files of missing documents.

Full diff here-D15796, phabricator thinks article.xml is a binary.

Test Plan

Diff Detail

Repository
rD FreeBSD doc repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dbaio created this revision.Jun 14 2018, 2:10 AM
dbaio edited the summary of this revision. (Show Details)Jun 14 2018, 2:15 AM
eadler resigned from this revision.Jun 18 2018, 2:21 AM

The output diff that I attached is not showing properly the changes in article.xml, maybe because it's a file converted to utf-8, in console it's showing fine.

I see no problems, but understand that I don't speak the language.

pt_BR.ISO8859-1/articles/building-products/Makefile
6 ↗(On Diff #43735)

I don't see any point to keeping this, but it does no harm.

ebrandi added a subscriber: ebrandi.

Danilo, as we discussed over e-mail i will take care of this revision :)

ebrandi added inline comments.Aug 15 2018, 3:07 AM
pt_BR.ISO8859-1/articles/building-products/Makefile
6 ↗(On Diff #43735)

The idea of keeping this information in the translated file is to help the translators team with which revision of the file in the en_US tree the file in the pt_BR tree is "synchronized".

ebrandi added inline comments.Aug 15 2018, 3:19 AM
pt_BR.ISO8859-1/articles/building-products/Makefile
12 ↗(On Diff #43735)

Danilo,

You dont need to remove the parameter html-split , the only thing that you need to check in your edited Makefile is if you have instructed the tool to expect just only one input file (article.xml for articles and book.xml for books), like are explained at https://www.freebsd.org/doc/en_US.ISO8859-1/books/fdp-primer/po-translations-creating.html

Danilo,

I reviewed the article translation from en_US to pt_BR and the content is 100% correct, it also builded correctly here on my machine.

I believe that we are good to go :) , now we just need to get an ok from someone with full doc committ bit to send it to the svn repository, i will talk with my mentor to get the approval :)

Brandi

bcr accepted this revision.Aug 15 2018, 9:01 AM
bcr added a subscriber: bcr.

You can have my approval in addition to the one your mentor can give you. I don't speak the language, but like the effort you put into the translation. Thanks!

This revision is now accepted and ready to land.Aug 15 2018, 9:01 AM

@dbaio, please commit this with an "Approved-by: wblock" line in the commit message. I apologize for the delay.

pt_BR.ISO8859-1/articles/building-products/Makefile
6 ↗(On Diff #43735)

For old-style translations with no automation, that is true. But with PO translations, there is no correspondence with what has been translated and a particular commit. That is one of the many advantages of PO translations.

This revision was automatically updated to reflect the committed changes.